/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

@import "../../styles/adminlte/variables";
@import "../../styles/settings/variables";
@import "bootstrap-sass/assets/stylesheets/bootstrap/mixins";
@import "../../styles/core/_mixins.scss";

section.dashboard {

  .small-box, .box {
    box-shadow: none;
  }

  .box{
    border-top-width: 2px;
    .box-header .box-title {
      font-size: 14px;
      font-weight: 600;
    }
  }

  // stats
  .small-box {
    height: 118px;
    display: relative;
    @include opacity(1);
    @include transition(opacity .15s linear);
    h3 {
      margin: 0;
      font-size: 30px;
    }

    svg {
      position: absolute;
      bottom: 10px;
      width: 100%;
    }
  }

  .loading {
    .row > div {
      @include spinner(25px);
      &::after {
        border-color: #FFF;
        border-top-color: $brand-primary;
        top: 50%;
        margin-top: -20px;
      }
    }
    .small-box {
      @include opacity(.2);
    }
  }

  // box
  .box-body {
    @include opacity(1);
    @include transition(opacity .15s linear);
    padding:10px 15px;
  }

  .loading {
    .box {
      @include spinner(25px);
      &::after {
        top: 50%;
        margin-top: -12.5px;
      }
    }
    .box-body {
      min-height: 40px;
      @include opacity(.2);
    }
  }
}
